### Method

# GtkSource FileSaver save_async

#### Declaration [src]

    void
    gtk_source_file_saver_save_async (
      GtkSourceFileSaver* saver,
      gint io_priority,
      GCancellable* cancellable,
      GFileProgressCallback progress_callback,
      gpointer progress_callback_data,
      GDestroyNotify progress_callback_notify,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Saves asynchronously the buffer into the file.

See the `GAsyncResult` documentation to know how to use this function.

This method completes asynchronously. Use `gtk_source_file_saver_save_finish()` inside the `GAsyncReadyCallback` to obtain the result of the operation.

#### Parameters

`io_priority`

  Type: `gint`

  The I/O priority of the request. E.g. `G_PRIORITY_LOW`, `G_PRIORITY_DEFAULT` or `G_PRIORITY_HIGH`.

`cancellable`

  Type: `GCancellable`

  Optional `GCancellable` object, `NULL` to ignore.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`progress_callback`

  Type: `GFileProgressCallback`

  function to call back with progress information, or `NULL` if progress information is not needed.

  The argument can be `NULL`.

`progress_callback_data`

  Type: `gpointer`

  User data to pass to `progress_callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`progress_callback_notify`

  Type: `GDestroyNotify`

  Function to call on `progress_callback_data` when the `progress_callback` is no longer needed, or `NULL`.

  The argument can be `NULL`.

`callback`

  Type: `GAsyncReadyCallback`

  A `GAsyncReadyCallback` to call when the request is satisfied.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User data to pass to `callback`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.